Bug 32376 - sysvolreset messages: idmap range not specified
sysvolreset messages: idmap range not specified
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Samba4
UCS 3.2
Other Linux
: P5 enhancement (vote)
: UCS 3.2
Assigned To: Stefan Gohmann
Arvid Requate
https://download.samba.org/pub/samba/...
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 15:17 CEST by Arvid Requate
Modified: 2013-11-19 06:44 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Troubleshooting
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2013-08-26 15:17:12 CEST
With Samba 4.1rc2 the samba-tool ntacl sysvolreset outputs repeated warnings about

  idmap range not specified for domain '*'

This fallback message comes from smbd.so and can be silenced by adding a line like

  idmap config * : range          = 55000-64000

to smb.conf. Maybe it's worthwile to consider picking up the UCS standard 'ldap' idmap backend config from univention-samba:

  smb.conf.d/21univention-samba_winbind

The other option would be to raise the debug level of that message in source code from 1 to at least 2.
Comment 1 Stefan Gohmann univentionstaff 2013-10-02 08:47:06 CEST
I've added the default config to 21univention-samba_winbind:
      idmap config * : backend = tdb
      idmap config * : range = 300000-400000

If someone wants a different config the local.conf can be used.

(In reply to Arvid Requate from comment #0)
> to smb.conf. Maybe it's worthwile to consider picking up the UCS standard
> 'ldap' idmap backend config from univention-samba:
> 
>   smb.conf.d/21univention-samba_winbind

I decided not to do that because I'm not sure about the consequences.

Code: r44671

Changelog: r44672
Comment 2 Arvid Requate univentionstaff 2013-10-21 17:28:04 CEST
Verified:
 * The messages have stopped.
 * Changelog ok.
Comment 3 Stefan Gohmann univentionstaff 2013-11-19 06:44:36 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".